Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616607 - gnome-keyring-daemon [ssh-agent] doesn't support rsa certs
gnome-keyring-daemon [ssh-agent] doesn't support rsa certs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 19:01 EDT by Maciej Żenczykowski
Modified: 2015-03-03 17:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:42:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Żenczykowski 2010-07-20 19:01:18 EDT
Fedora 13 x86_64 with 

$ rpm -q --whatprovides /usr/bin/gnome-keyring-daemon
gnome-keyring-2.30.3-1.fc13.x86_64
gnome-keyring-2.30.3-1.fc13.i686

$ rpm -qa | egrep openssh
openssh-5.4p1-3.fc13.x86_64
openssh-clients-5.4p1-3.fc13.x86_64
openssh-server-5.4p1-3.fc13.x86_64
openssh-askpass-5.4p1-3.fc13.x86_64

gnome environment

$ set | egrep SSH
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
SSH_AUTH_SOCK=/tmp/keyring-TnTtRq/ssh

$  lsof | egrep /keyring-TnTtRq/ssh
gnome-key  2244 ... /tmp/keyring-TnTtRq/ssh

$ ps auxww | egrep gnome[-]key
maze      2244  0.0  0.0 487776  2800 ?        Sl   May28   2:24 /usr/bin/gnome-keyring-daemon --daemonize --login

It would appear that the gnome-keyring-daemon which is impersonating an ssh-agent doesn't support openssh RSA certificates.  Such as those generated via:

ssh-keygen -f ca_rsa

See (for example) http://www.gossamer-threads.com/lists/openssh/users/49165
Comment 1 Bug Zapper 2011-06-01 09:19:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Maciej Żenczykowski 2011-06-02 01:44:07 EDT
I'm going to blindly bump this up to F15, without actually checking if the feature has been implemented (I don't currently yet have an F15 box handy).
Comment 3 Fedora End Of Life 2012-08-07 15:42:36 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.